Bug 993040 - kickstart install hangs at Reboot button when weak user password in plaintext is specified
kickstart install hangs at Reboot button when weak user password in plaintext...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On: 986490
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 09:31 EDT by David Shea
Modified: 2014-06-17 21:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-19.31.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 986490
Environment:
Last Closed: 2014-06-13 07:41:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shea 2013-08-05 09:31:01 EDT
+++ This bug was initially created as a clone of Bug #986490 +++

Description of problem:
The install hangs at the Reboot button, if a weak user password in plaintext is specified in a kickstart file:

user --name=joeblow --groups=wheel --password test 

In the Configuration dialog, the User Creation link displays this message:
"Error creating user accou... Done twice to confirm it."
A tooltip gives details.

See attached screenshot.

Version-Release number of selected component (if applicable):
anaconda-0:19.30.13-1.fc19.x86_64
Fedora-19-x86_64-DVD.iso

How reproducible:
Always.

Steps to Reproduce:
1. Install with kickstart user configuration:
user --name=joeblow --groups=wheel --password test

Actual results:
Installer displays message:
"Error creating user accou... Done twice to confirm it."
A tooltip gives details.

See attached screenshot.

Install appears to complete, but the Reboot button is not responsive.
The pointer moves and a tooltip can be displayed.

Expected results:
Installer accepts a weak password in plaintext.

Additional info:

Tested with:
$ qemu-img create f19-test-1.img 32G
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on

The kickstart file is served over NFS.

--- Additional comment from Steve Tyler on 2013-07-19 18:58:57 EDT ---



--- Additional comment from Steve Tyler on 2013-07-19 19:02:38 EDT ---



--- Additional comment from Steve Tyler on 2013-07-19 22:16:11 EDT ---

With a complex plaintext user password configured, the kickstart install completes, and the Reboot button is functional:
user --name=joeblow --groups=wheel --password test_IR7Y3oNQ

Interactive installs also warn of a weak root password, but a kickstart install accepts a weak root password without any warning:
rootpw test

--- Additional comment from Steve Tyler on 2013-07-19 23:23:38 EDT ---

For completeness -- with a hashed user password, the kickstart install completes, and the Reboot button is functional:
user --name=joeblow --groups=wheel --password=$6$CuuISgLq$yIIy68qqU8jq0fQPZWjRQ0yd2W1EWG7yfn/rd2/Fav/ZyLbJphdsL7VXFJ.Ig4/5xmiMIzOdSqqbL8n7JpjJo1 --iscrypted
Comment 3 Jan Stodola 2014-01-30 06:04:21 EST
Retested with anaconda-19.31.51-1.el7, it is possible to click "Reboot" after kickstart installation with weak user's password.

Moving to VERIFIED.
Comment 4 Ludek Smid 2014-06-13 07:41:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.